The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Perl version question

Discussion in 'General Discussion' started by techark, Jun 4, 2002.

  1. techark

    techark Well-Known Member

    Joined:
    May 22, 2002
    Messages:
    280
    Likes Received:
    0
    Trophy Points:
    16
    on my server here is what I am seeing.

    I type ls /usr/local/lib/perl5/site_perl/
    and get back 5.6.1 so for all intents and purposes I should have 5.6.1 as my version of perl correct?

    But when I open cpanel I see Perl Version 5.006 and when cpanel updates I get this error..find: /usr/lib/perl5/5.6.1/: No such file or directory
    which is true because there is a dir called 5.6.0..

    So what is going on anyone got a clue? Do I need to delete some other versions of perl and how do I direct cpanel to update the proper dir?
     
  2. kwimberl

    kwimberl Well-Known Member

    Joined:
    Aug 13, 2001
    Messages:
    123
    Likes Received:
    0
    Trophy Points:
    16
    Go to http://layer1.cpanel.net and download the latest perl installer.
     
  3. techark

    techark Well-Known Member

    Joined:
    May 22, 2002
    Messages:
    280
    Likes Received:
    0
    Trophy Points:
    16
    Thanks for that

    I have read a few other post where some to seem to be having major problems with this update. Have you done it, anything I need to do special? Got any suggestions or directions on how to do this upgrade. I am rather new to Cpanel so don't want to screw it up to start out with.

    Thanks
     
  4. shaun

    shaun Well-Known Member

    Joined:
    Nov 9, 2001
    Messages:
    698
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    San Clemente, Ca
    /scripts/fixperl

    try that.
     
  5. techark

    techark Well-Known Member

    Joined:
    May 22, 2002
    Messages:
    280
    Likes Received:
    0
    Trophy Points:
    16
    scripts/fixperl

    Well I ran that and it did upgrade my perl but then my cpanel updates broke then Neomail quit working see my post above..

    Then I got this answer from Nick.

    & fixperl is only for redhat 5.2 systems, it should never be used on
    newer systems. I'd recommend reinstalling perl using the
    perl561installer.tar.gz from layer1.cpanel.net'

    So in short don't use fixperl, I found out the hard way.
     
Loading...

Share This Page